<template>
  <dashboard-layout title="empty">
    <div class="container-fluid">
      <div v-if="!inActif" class="auth-form col-sm-4 mx-auto">
        <h2 class="auth-title mb-5">Connexion</h2>
        <div class="alert alert-danger" v-if="errorMessage">
          {{ errorMessage }}
        </div>
        <form @submit="login">
          <div class="form-group">
            <input
              type="text"
              class="form-control"
              v-model="admin.phone"
              required
              placeholder="Votre numéro de téléphone"
            />
          </div>
          <div class="form-group">
            <input
              type="password"
              class="form-control"
              v-model="admin.password"
              required
              placeholder="*****"
            />
          </div>
          <div class="form-group">
            <input
              type="submit"
              class="btn btn-light btn-block"
              value="Valider"
            />
          </div>
        </form>
        <div class="form-group text-center">
          <router-link class="text-manote" to="/register"
            >Vous n'avez pas encore de compte ? <br />
            Créez-en un !</router-link
          >
        </div>
      </div>
      <div v-else class="mx-auto mt-5 col-sm-8">
        <h3 class="text-center">Votre compte est inactif</h3>
        <p class="text-center mt-4">
          Votre adresse mail n'est pas encore vérifiée. Veuillez consulter votre
          boite mail pour continuer le processus d'inscription. <br />
          Merci !!!
        </p>
      </div>
    </div>
  </dashboard-layout>
</template>

<script>
export default {
  name: "Login",
  data() {
    return {
      center: { },
      admin: {
        phone: "",
        password: "",
      },
      errorMessage: "",

      inActif: false,
    };
  },
  mounted() {
    navigator.geolocation.getCurrentPosition(position => {
      this.center = {
        latitude: position.coords.latitude,
        longitude: position.coords.longitude,
      };
    });
  },
  methods: {
    login(e) {
      e.preventDefault();
      this.$service.login(this.admin, (err, data) => {
        if (err) {
          this.errorMessage = err.data && err.data.message;
          return;
        }

        

        if (data.admin) {
          console.log("login success", data);
          localStorage.setItem("token", data.token);
          localStorage.setItem("adminId", data.admin.id);
          localStorage.setItem("adminInfo", JSON.stringify(data.admin));
          localStorage.setItem("adminRole", data.admin.role);
          this.$store.commit("getAdminInfo");

          let datas = {
            admin : data.admin.id,
            message: 'login',
            date: new Date(),
            position : this.center,
          }
          this.$service.create("historiques", datas, (err, data) => {
            if (err) {
              this.errorMessage = err.data && err.data.message;
              return;
            }
            this.$router.push({ path: "/accueil" });  
          });
          
        } else {
          console.log("Login échoué");
        }


      });
    },
  },
};
</script>
